var numFtsNodes = 42;
var ftsnodes = new Array(numFtsNodes);

ftsnodes[0] = new FTSNode(0, "K", 1);
ftsnodes[0].links = new Array(1);
ftsnodes[0].links[0] = 4830;
ftsnodes[1] = new FTSNode(1, "KANJI", 3);
ftsnodes[1].links = new Array(3);
ftsnodes[1].links[0] = 1535;
ftsnodes[1].links[1] = 1715;
ftsnodes[1].links[2] = 1720;
ftsnodes[2] = new FTSNode(2, "KASE", 8);
ftsnodes[2].links = new Array(8);
ftsnodes[2].links[0] = 1929;
ftsnodes[2].links[1] = 1930;
ftsnodes[2].links[2] = 1931;
ftsnodes[2].links[3] = 1932;
ftsnodes[2].links[4] = 1952;
ftsnodes[2].links[5] = 1954;
ftsnodes[2].links[6] = 1974;
ftsnodes[2].links[7] = 2013;
ftsnodes[3] = new FTSNode(3, "KATAKANA", 2);
ftsnodes[3].links = new Array(2);
ftsnodes[3].links[0] = 1535;
ftsnodes[3].links[1] = 1715;
ftsnodes[4] = new FTSNode(4, "KB", 2);
ftsnodes[4].links = new Array(2);
ftsnodes[4].links[0] = 4413;
ftsnodes[4].links[1] = 4414;
ftsnodes[5] = new FTSNode(5, "KEEP", 19);
ftsnodes[5].links = new Array(19);
ftsnodes[5].links[0] = 4425;
ftsnodes[5].links[1] = 71;
ftsnodes[5].links[2] = 93;
ftsnodes[5].links[3] = 885;
ftsnodes[5].links[4] = 935;
ftsnodes[5].links[5] = 938;
ftsnodes[5].links[6] = 1521;
ftsnodes[5].links[7] = 2531;
ftsnodes[5].links[8] = 3711;
ftsnodes[5].links[9] = 3733;
ftsnodes[5].links[10] = 3740;
ftsnodes[5].links[11] = 3750;
ftsnodes[5].links[12] = 3756;
ftsnodes[5].links[13] = 3762;
ftsnodes[5].links[14] = 3816;
ftsnodes[5].links[15] = 3884;
ftsnodes[5].links[16] = 4334;
ftsnodes[5].links[17] = 4870;
ftsnodes[5].links[18] = 4885;
ftsnodes[6] = new FTSNode(6, "KEEP_POSITIVE", 2);
ftsnodes[6].links = new Array(2);
ftsnodes[6].links[0] = 3030;
ftsnodes[6].links[1] = 3031;
ftsnodes[7] = new FTSNode(7, "KEEP_SHAPE", 5);
ftsnodes[7].links = new Array(5);
ftsnodes[7].links[0] = 2188;
ftsnodes[7].links[1] = 2278;
ftsnodes[7].links[2] = 2279;
ftsnodes[7].links[3] = 2902;
ftsnodes[7].links[4] = 2907;
ftsnodes[8] = new FTSNode(8, "KEEP_SMOOTH", 2);
ftsnodes[8].links = new Array(2);
ftsnodes[8].links[0] = 2887;
ftsnodes[8].links[1] = 2888;
ftsnodes[9] = new FTSNode(9, "KELVIN", 4);
ftsnodes[9].links = new Array(4);
ftsnodes[9].links[0] = 1851;
ftsnodes[9].links[1] = 1857;
ftsnodes[9].links[2] = 1859;
ftsnodes[9].links[3] = 4567;
ftsnodes[10] = new FTSNode(10, "KEPT", 7);
ftsnodes[10].links = new Array(7);
ftsnodes[10].links[0] = 1488;
ftsnodes[10].links[1] = 1508;
ftsnodes[10].links[2] = 1793;
ftsnodes[10].links[3] = 2877;
ftsnodes[10].links[4] = 3030;
ftsnodes[10].links[5] = 3031;
ftsnodes[10].links[6] = 4405;
ftsnodes[11] = new FTSNode(11, "KEY", 43);
ftsnodes[11].links = new Array(43);
ftsnodes[11].links[0] = 21;
ftsnodes[11].links[1] = 23;
ftsnodes[11].links[2] = 25;
ftsnodes[11].links[3] = 26;
ftsnodes[11].links[4] = 27;
ftsnodes[11].links[5] = 28;
ftsnodes[11].links[6] = 185;
ftsnodes[11].links[7] = 229;
ftsnodes[11].links[8] = 263;
ftsnodes[11].links[9] = 1142;
ftsnodes[11].links[10] = 1143;
ftsnodes[11].links[11] = 1155;
ftsnodes[11].links[12] = 1192;
ftsnodes[11].links[13] = 1194;
ftsnodes[11].links[14] = 1295;
ftsnodes[11].links[15] = 1296;
ftsnodes[11].links[16] = 1408;
ftsnodes[11].links[17] = 1418;
ftsnodes[11].links[18] = 2270;
ftsnodes[11].links[19] = 3346;
ftsnodes[11].links[20] = 3366;
ftsnodes[11].links[21] = 3397;
ftsnodes[11].links[22] = 3411;
ftsnodes[11].links[23] = 3782;
ftsnodes[11].links[24] = 4474;
ftsnodes[11].links[25] = 4477;
ftsnodes[11].links[26] = 4480;
ftsnodes[11].links[27] = 4481;
ftsnodes[11].links[28] = 4484;
ftsnodes[11].links[29] = 4485;
ftsnodes[11].links[30] = 4487;
ftsnodes[11].links[31] = 4488;
ftsnodes[11].links[32] = 4498;
ftsnodes[11].links[33] = 4500;
ftsnodes[11].links[34] = 4513;
ftsnodes[11].links[35] = 173;
ftsnodes[11].links[36] = 2095;
ftsnodes[11].links[37] = 642;
ftsnodes[11].links[38] = 643;
ftsnodes[11].links[39] = 644;
ftsnodes[11].links[40] = 645;
ftsnodes[11].links[41] = 646;
ftsnodes[11].links[42] = 1708;
ftsnodes[12] = new FTSNode(12, "KEY_INDX", 3);
ftsnodes[12].links = new Array(3);
ftsnodes[12].links[0] = 25;
ftsnodes[12].links[1] = 26;
ftsnodes[12].links[2] = 28;
ftsnodes[13] = new FTSNode(13, "KEY_TYPE", 1);
ftsnodes[13].links = new Array(1);
ftsnodes[13].links[0] = 27;
ftsnodes[14] = new FTSNode(14, "KEYBOARD", 1);
ftsnodes[14].links = new Array(1);
ftsnodes[14].links[0] = 646;
ftsnodes[15] = new FTSNode(15, "KEYFRAM", 12);
ftsnodes[15].links = new Array(12);
ftsnodes[15].links[0] = 21;
ftsnodes[15].links[1] = 22;
ftsnodes[15].links[2] = 23;
ftsnodes[15].links[3] = 27;
ftsnodes[15].links[4] = 29;
ftsnodes[15].links[5] = 69;
ftsnodes[15].links[6] = 70;
ftsnodes[15].links[7] = 82;
ftsnodes[15].links[8] = 98;
ftsnodes[15].links[9] = 184;
ftsnodes[15].links[10] = 3388;
ftsnodes[15].links[11] = 4829;
ftsnodes[16] = new FTSNode(16, "KEYFRAME", 18);
ftsnodes[16].links = new Array(18);
ftsnodes[16].links[0] = 21;
ftsnodes[16].links[1] = 22;
ftsnodes[16].links[2] = 23;
ftsnodes[16].links[3] = 25;
ftsnodes[16].links[4] = 27;
ftsnodes[16].links[5] = 30;
ftsnodes[16].links[6] = 33;
ftsnodes[16].links[7] = 36;
ftsnodes[16].links[8] = 59;
ftsnodes[16].links[9] = 60;
ftsnodes[16].links[10] = 61;
ftsnodes[16].links[11] = 62;
ftsnodes[16].links[12] = 70;
ftsnodes[16].links[13] = 93;
ftsnodes[16].links[14] = 98;
ftsnodes[16].links[15] = 185;
ftsnodes[16].links[16] = 4828;
ftsnodes[16].links[17] = 4829;
ftsnodes[17] = new FTSNode(17, "KEYFRAME-SPECIFIC", 1);
ftsnodes[17].links = new Array(1);
ftsnodes[17].links[0] = 30;
ftsnodes[18] = new FTSNode(18, "KEYSHORTCUT", 4);
ftsnodes[18].links = new Array(4);
ftsnodes[18].links[0] = 230;
ftsnodes[18].links[1] = 242;
ftsnodes[18].links[2] = 248;
ftsnodes[18].links[3] = 258;
ftsnodes[19] = new FTSNode(19, "KEYSTROK", 2);
ftsnodes[19].links = new Array(2);
ftsnodes[19].links[0] = 1192;
ftsnodes[19].links[1] = 1194;
ftsnodes[20] = new FTSNode(20, "KEYWD", 1);
ftsnodes[20].links = new Array(1);
ftsnodes[20].links[0] = 794;
ftsnodes[21] = new FTSNode(21, "KEYWD_MAX_LEN", 1);
ftsnodes[21].links = new Array(1);
ftsnodes[21].links[0] = 794;
ftsnodes[22] = new FTSNode(22, "KEYWORD", 4);
ftsnodes[22].links = new Array(4);
ftsnodes[22].links[0] = 794;
ftsnodes[22].links[1] = 957;
ftsnodes[22].links[2] = 958;
ftsnodes[22].links[3] = 959;
ftsnodes[23] = new FTSNode(23, "KEYWORD_STR", 3);
ftsnodes[23].links = new Array(3);
ftsnodes[23].links[0] = 957;
ftsnodes[23].links[1] = 958;
ftsnodes[23].links[2] = 959;
ftsnodes[24] = new FTSNode(24, "KILO", 1);
ftsnodes[24].links = new Array(1);
ftsnodes[24].links[0] = 1213;
ftsnodes[25] = new FTSNode(25, "KILOBYT", 2);
ftsnodes[25].links = new Array(2);
ftsnodes[25].links[0] = 4413;
ftsnodes[25].links[1] = 4414;
ftsnodes[26] = new FTSNode(26, "KILOGRAM", 1);
ftsnodes[26].links = new Array(1);
ftsnodes[26].links[0] = 164;
ftsnodes[27] = new FTSNode(27, "KILOMET", 1);
ftsnodes[27].links = new Array(1);
ftsnodes[27].links[0] = 1213;
ftsnodes[28] = new FTSNode(28, "KIND", 32);
ftsnodes[28].links = new Array(32);
ftsnodes[28].links[0] = 3633;
ftsnodes[28].links[1] = 21;
ftsnodes[28].links[2] = 98;
ftsnodes[28].links[3] = 236;
ftsnodes[28].links[4] = 237;
ftsnodes[28].links[5] = 253;
ftsnodes[28].links[6] = 614;
ftsnodes[28].links[7] = 1170;
ftsnodes[28].links[8] = 1171;
ftsnodes[28].links[9] = 1175;
ftsnodes[28].links[10] = 1408;
ftsnodes[28].links[11] = 1409;
ftsnodes[28].links[12] = 1603;
ftsnodes[28].links[13] = 1604;
ftsnodes[28].links[14] = 2162;
ftsnodes[28].links[15] = 2164;
ftsnodes[28].links[16] = 2170;
ftsnodes[28].links[17] = 3399;
ftsnodes[28].links[18] = 3719;
ftsnodes[28].links[19] = 3735;
ftsnodes[28].links[20] = 3763;
ftsnodes[28].links[21] = 3840;
ftsnodes[28].links[22] = 4060;
ftsnodes[28].links[23] = 4476;
ftsnodes[28].links[24] = 4494;
ftsnodes[28].links[25] = 4495;
ftsnodes[28].links[26] = 4496;
ftsnodes[28].links[27] = 4520;
ftsnodes[28].links[28] = 4521;
ftsnodes[28].links[29] = 4847;
ftsnodes[28].links[30] = 4852;
ftsnodes[28].links[31] = 1626;
ftsnodes[29] = new FTSNode(29, "KNOT", 20);
ftsnodes[29].links = new Array(20);
ftsnodes[29].links[0] = 363;
ftsnodes[29].links[1] = 2192;
ftsnodes[29].links[2] = 2195;
ftsnodes[29].links[3] = 2205;
ftsnodes[29].links[4] = 2209;
ftsnodes[29].links[5] = 2225;
ftsnodes[29].links[6] = 2281;
ftsnodes[29].links[7] = 2284;
ftsnodes[29].links[8] = 2295;
ftsnodes[29].links[9] = 2299;
ftsnodes[29].links[10] = 2303;
ftsnodes[29].links[11] = 2306;
ftsnodes[29].links[12] = 2317;
ftsnodes[29].links[13] = 2318;
ftsnodes[29].links[14] = 2372;
ftsnodes[29].links[15] = 2373;
ftsnodes[29].links[16] = 2627;
ftsnodes[29].links[17] = 2634;
ftsnodes[29].links[18] = 2724;
ftsnodes[29].links[19] = 2915;
ftsnodes[30] = new FTSNode(30, "KNOT[I", 1);
ftsnodes[30].links = new Array(1);
ftsnodes[30].links[0] = 2724;
ftsnodes[31] = new FTSNode(31, "KNOT[I-1]", 1);
ftsnodes[31].links = new Array(1);
ftsnodes[31].links[0] = 2724;
ftsnodes[32] = new FTSNode(32, "KNOT[I]", 1);
ftsnodes[32].links = new Array(1);
ftsnodes[32].links[0] = 2724;
ftsnodes[33] = new FTSNode(33, "KNOTS_U", 1);
ftsnodes[33].links = new Array(1);
ftsnodes[33].links[0] = 2349;
ftsnodes[34] = new FTSNode(34, "KNOTS_V", 1);
ftsnodes[34].links = new Array(1);
ftsnodes[34].links[0] = 2349;
ftsnodes[35] = new FTSNode(35, "KNOW", 6);
ftsnodes[35].links = new Array(6);
ftsnodes[35].links[0] = 25;
ftsnodes[35].links[1] = 46;
ftsnodes[35].links[2] = 3739;
ftsnodes[35].links[3] = 4227;
ftsnodes[35].links[4] = 637;
ftsnodes[35].links[5] = 638;
ftsnodes[36] = new FTSNode(36, "KNOWN", 6);
ftsnodes[36].links = new Array(6);
ftsnodes[36].links[0] = 2;
ftsnodes[36].links[1] = 1082;
ftsnodes[36].links[2] = 1172;
ftsnodes[36].links[3] = 1460;
ftsnodes[36].links[4] = 3059;
ftsnodes[36].links[5] = 3658;
ftsnodes[37] = new FTSNode(37, "KNT", 15);
ftsnodes[37].links = new Array(15);
ftsnodes[37].links[0] = 660;
ftsnodes[37].links[1] = 834;
ftsnodes[37].links[2] = 858;
ftsnodes[37].links[3] = 1254;
ftsnodes[37].links[4] = 1461;
ftsnodes[37].links[5] = 2039;
ftsnodes[37].links[6] = 2041;
ftsnodes[37].links[7] = 2061;
ftsnodes[37].links[8] = 2063;
ftsnodes[37].links[9] = 2065;
ftsnodes[37].links[10] = 2067;
ftsnodes[37].links[11] = 3366;
ftsnodes[37].links[12] = 1041;
ftsnodes[37].links[13] = 1042;
ftsnodes[37].links[14] = 1043;
ftsnodes[38] = new FTSNode(38, "KNT_PT", 1);
ftsnodes[38].links = new Array(1);
ftsnodes[38].links[0] = 3080;
ftsnodes[39] = new FTSNode(39, "KNURL", 1);
ftsnodes[39].links = new Array(1);
ftsnodes[39].links[0] = 3894;
ftsnodes[40] = new FTSNode(40, "KOR", 2);
ftsnodes[40].links = new Array(2);
ftsnodes[40].links[0] = 1535;
ftsnodes[40].links[1] = 1715;
ftsnodes[41] = new FTSNode(41, "KOREAN", 4);
ftsnodes[41].links = new Array(4);
ftsnodes[41].links[0] = 218;
ftsnodes[41].links[1] = 1535;
ftsnodes[41].links[2] = 1715;
ftsnodes[41].links[3] = 1720;
